Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command.local
Class LocalCommandRegistry

    java.lang.Object
      things.thinger.service.command.local.LocalCommandRegistry

All Implemented Interfaces:
  CommandRegistry

    public class LocalCommandRegistry

extends java.lang.Object
implements CommandRegistry

A local Command Registry.

Version:
  1.0

  Version History

      EPG - Initial - 12 FEB 06

Author:
  Erich P. Gatejen

Constructor Summary
`LocalCommandRegistry()` Constructor.

Method Summary
`CommandDefinition` | `get(java.lang.String name)` Get a command.
`CommandRegistry` | `getGlobalRegistry()` Get the generic global registry.
`static CommandRegistry` | `getGlobalRegistryStatic()` Get the generic global registry.
`boolean` | `has(java.lang.String name)` Does it have a command registered by this name?
`void` | `register(java.lang.String name, CommandDefinition command)` Register a command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalCommandRegistry

    public LocalCommandRegistry()

  Constructor.

Method Detail

### getGlobalRegistryStatic

    public static CommandRegistry getGlobalRegistryStatic()

  Get the generic global registry. Static implementation.

  Returns:
    a reference to the system

### getGlobalRegistry

    public CommandRegistry getGlobalRegistry()

  Get the generic global registry.

  Specified by:
    `getGlobalRegistry` in interface `CommandRegistry`
  Returns:
    a reference to the system

### has

    public boolean has(java.lang.String name)

  Does it have a command registered by this name?

  Specified by:
    `has` in interface `CommandRegistry`
  Parameters:
    `name` - The name.
  Returns:
    true if it does, otherwise false.

### register

    public void register(java.lang.String name,
                         CommandDefinition command)
                  throws SystemException

  Register a command. It will throw an exception if the command is already registered.

  Specified by:
    `register` in interface `CommandRegistry`
  Parameters:
    `name` - The name.
    `command` - The command.
  Throws:
    `SystemException`
  See Also:
    `SystemException`

### get

    public CommandDefinition get(java.lang.String name)
                          throws SystemException

  Get a command. It will throw an exception if the command is not registered.

  Specified by:
    `get` in interface `CommandRegistry`
  Parameters:
    `name` - The name.
  Returns:
    The definition.
  Throws:
    `SystemException`
  See Also:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.